<?php

namespace STRP_SUB_Vendor\Stripe\Exception\OAuth;

/**
 * Implements properties and methods common to all (non-SPL) Stripe OAuth
 * exceptions.
 */
abstract class OAuthErrorException extends \STRP_SUB_Vendor\Stripe\Exception\ApiErrorException
{
    protected function constructErrorObject()
    {
        if (null === $this->jsonBody) {
            return null;
        }

        return \STRP_SUB_Vendor\Stripe\OAuthErrorObject::constructFrom($this->jsonBody);
    }
}
